commit:     28ad7a01926295a630409323d17195acaa421d1d
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  9 16:58:16 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Mar  9 17:00:55 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28ad7a01

net-libs/rb_libtorrent: Bump to version 1.0.9 (bug #576794).

Package-Manager: portage-2.2.27
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-libs/rb_libtorrent/Manifest                   |   1 +
 net-libs/rb_libtorrent/rb_libtorrent-1.0.9.ebuild | 116 ++++++++++++++++++++++
 2 files changed, 117 insertions(+)

diff --git a/net-libs/rb_libtorrent/Manifest b/net-libs/rb_libtorrent/Manifest
index c0b0a8c..7c9bbd5 100644
--- a/net-libs/rb_libtorrent/Manifest
+++ b/net-libs/rb_libtorrent/Manifest
@@ -5,3 +5,4 @@ DIST libtorrent-rasterbar-1.0.5.tar.gz 3302804 SHA256 
474a43da2147bec7e333c10f70
 DIST libtorrent-rasterbar-1.0.6.tar.gz 3307491 SHA256 
c97de804b77f44591801631aca3869567671df2d3e2afe7f5453d8db2478fd61 SHA512 
798529f877dc94aa8eb635677a2fffb6deead3937153e78ac5344fd81422f9fd9594e227db3ec0ae954dfc59e4dd5f3b8f6dbed2e3aa1f9a710c32b0622f54ee
 WHIRLPOOL 
250651925c4d09b6e73c3c3e4b1e1f9131b49dbf3bdbeda3d683f204d4cebbcb865b694aa5e079072a73be922a25a2378094744bf4dd3bc4e220e9b0115342b6
 DIST libtorrent-rasterbar-1.0.7.tar.gz 3298005 SHA256 
3e16e024b175fefada17471c659fdbcfab235f9619d4f0913faa13cb02ca8d83 SHA512 
d60736af4b7c38317821810995dd9bec21688a9506e9b908394c2a1a87acd2abf23000856dedcad487b9ecc7b5680f83cfc09ff9db79af00fe21e94337daeacf
 WHIRLPOOL 
aff289e3ca85eedf688e8a898f0164a4d692e8c813b04dbae6323bc56003f5c3af862167a1d00a8bfe193dfda15d20a18a48bcbeac9313e29d6f2de35d20e621
 DIST rb_libtorrent-1.0.8.tar.gz 2977324 SHA256 
24498625d946b80b2269789fb666196240fe805a0b6417d83d1f4dd9ee5f9a7a SHA512 
7ab98712225e19224c969fe4c6cd2f21f0aff3f5130dc1b3a0ea1b339b23b3cd303e76aeec9ac23e253c77865c60fd6623f7c8cd4e336c5a16fdf3d4627b88e2
 WHIRLPOOL 
23c3f84f304e642c7c25239a8a209d37afde41454f8688ef1b24c680d0d268e9163244dc06b973a49a8173f7e1cd7b7bf4f359fb89294cee5868060a64dbb2eb
+DIST rb_libtorrent-1.0.9.tar.gz 2977503 SHA256 
f4eadcbc779edc590d0162b0188c1b179d2cc72519c3756989ef925e376ddecd SHA512 
0980ebb5567310ad6f235899770cfc7a23ef754f5a8513e1baa8bbec139ff26006a6b47a1cca62e45da496b901c6646eee3dd76ab4bb5410ce3fc119e717c072
 WHIRLPOOL 
7c6862d9d4fbc27d6de04cba8ac605dbffafcf1b26a3519bc94964727416655450b74cb62928f27fa568dcc163c8a599ca78f080a86171b6e1283d9b794924b8

diff --git a/net-libs/rb_libtorrent/rb_libtorrent-1.0.9.ebuild 
b/net-libs/rb_libtorrent/rb_libtorrent-1.0.9.ebuild
new file mode 100644
index 0000000..1bf582f
--- /dev/null
+++ b/net-libs/rb_libtorrent/rb_libtorrent-1.0.9.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_REQ_USE="threads"
+DISTUTILS_OPTIONAL=true
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools multilib distutils-r1 versionator
+
+MY_PV=$(replace_all_version_separators '_' )
+S=${WORKDIR}/libtorrent-libtorrent-${MY_PV}
+
+DESCRIPTION="C++ BitTorrent implementation focusing on efficiency and 
scalability"
+HOMEPAGE="http://libtorrent.org";
+SRC_URI="https://github.com/arvidn/libtorrent/archive/libtorrent-${MY_PV}.tar.gz
 -> rb_libtorrent-${PV}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="debug doc examples python ssl static-libs test"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       >=dev-libs/boost-1.53:=[threads]
+       sys-libs/zlib
+       examples? ( !net-p2p/mldonkey )
+       ssl? ( dev-libs/openssl:0= )
+       python? (
+               ${PYTHON_DEPS}
+               dev-libs/boost:=[python,${PYTHON_USEDEP}]
+       )"
+DEPEND="${RDEPEND}
+       >=sys-devel/libtool-2.2"
+
+RESTRICT="test"
+
+src_prepare() {
+       default
+       chmod a-x docs/*.rst docs/*.htm* src/*.cpp include/libtorrent/*.hpp || 
die
+
+       # needed or else eautoreconf fails
+       mkdir build-aux || die
+       cp {m4,build-aux}/config.rpath || die
+
+       eautoreconf
+}
+
+src_configure() {
+       local boost_py2 boost_py3
+
+       if use python_targets_python3_5 ;then
+               boost_py3="--with-boost-python=3.5"
+       elif use python_targets_python3_4 ;then
+               boost_py3="--with-boost-python=3.4"
+       fi
+
+       if use python_targets_python2_7 ;then
+               boost_py2="--with-boost-python=2.7"
+       fi
+
+       local myeconfargs=(
+               --enable-shared
+               --disable-silent-rules # bug 441842
+               --with-boost-system=mt
+               $(use_enable debug)
+               $(use_enable test tests)
+               $(use_enable examples)
+               $(use_enable ssl encryption)
+               $(use_enable static-libs static)
+               $(use_enable python python-binding)
+               $(usex debug "--enable-logging=verbose" "")
+               ${boost_py3}
+               ${boost_py2}
+       )
+
+       if use python ;then
+               python_setup
+       fi
+
+       econf ${myeconfargs[@]}
+
+       if use python ;then
+               cd "${S}"/bindings/python || die
+               distutils-r1_src_configure
+       fi
+}
+
+src_compile() {
+       default
+
+       if use python ;then
+               cd "${S}"/bindings/python || die
+               distutils-r1_src_compile
+       fi
+}
+
+src_install() {
+       default
+
+       if use python ;then
+               cd "${S}"/bindings/python || die
+               distutils-r1_src_install
+       fi
+
+       if use doc ;then
+               docinto html
+               pushd "${S}"/docs &>/dev/null || die
+               dodoc -r img
+               dodoc *.{css,gif,html,jpg,png}
+       fi
+}

Reply via email to